﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

using Infragistics.Web.UI.NavigationControls;

public partial class _Default : System.Web.UI.Page
{
    private IList<Employee> employees = Data.GetEmployees();
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            var db = new DataTreeNodeBinding();
            db.DataMember = "Employee";
            db.TextField = "Name";
            db.ValueField = "Name";
            db.ImageUrlField = "ImageURL";
            this.TreeControl.DataBindings.Add(db);

            this.TreeControl.DataSource = this.employees;
            this.TreeControl.DataBind();
        }
    }

    public void WebDataTree1_NodePopulate(object sender, DataTreeNodeEventArgs e)
    {
        if (!e.Node.HasChildren)
        {
            var parent = this.employees.FirstOrDefault(em => em.Name == e.Node.Text);
            if (parent != null && parent.Employees.Count > 0)
            {
                foreach (Employee employee in parent.Employees)
                {
                    var node = new DataTreeNode();
                    node.Text = employee.Name;
                    node.Value = employee.Name;
                    node.ImageUrl = employee.ImageURL;
                    e.Node.Nodes.Add(node);
                }

            }
        }
    }

    public override void ProcessRequest(HttpContext context)
    {
        base.ProcessRequest(context);
    }

    public void WebDataTree1_NodeBound(object sender, DataTreeNodeEventArgs e)
    {
        e.Node.IsEmptyParent = true;
    }
}